NewHost Docs

API reference

Databases

Managed databases attached to your applications.

Try these requests in Postman: Download Postman collection (how to use it).

List databases

GET/v1/databases

host is the database server to use in your app's connection string; it is also shown on the dashboard's Databases page.

Requires a secret key with the read scope.

Parameters

NameInTypeDescription
limitqueryintegerItems per page, 1-100 (default 50).
offsetqueryintegerItems to skip (default 0).

Request

curl "https://api.newhost.co.za/v1/databases" \
  -H "Authorization: Bearer sk_live_..."

Response

{
  "data": [
    {
      "id": "clx8db0001",
      "name": "shop_prod",
      "engine": "mysql",
      "dbUser": "shop_prod_u",
      "status": "READY",
      "host": "db.example.net",
      "createdAt": "2026-09-01T08:05:00.000Z"
    }
  ],
  "has_more": false
}

Next: Domains →